Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.plugins.simulation.plot
Class PlotEx

    java.lang.Object
      com.beanexplorer.beans.Option
          biouml.plugins.simulation.plot.PlotEx

public class PlotEx
extends com.beanexplorer.beans.Option

It supports extened views of plot in property inspector.

Field Summary
`protected SimulationResult` | `defaultResult`
`protected static org.apache.log4j.Category` | `log`
`protected Module` | `module`
`protected Plot` | `plot`
`protected DataCollection` | `plots`
`protected java.lang.String` | `saveName`
`protected DataCollection` | `simulationResults`

Fields inherited from class com.beanexplorer.beans.Option
`notificationEnabled, propagationEnabled`

Constructor Summary
`PlotEx(Module module, Plot plot)`
`PlotEx(Module module, SimulationResult result)`

Method Summary
`protected DataCollection` | `doGetPlotCollection()`
`protected DataCollection` | `doGetSimulationResultCollection()`
`SimulationResult` | `getDefaultSimulationResult()`
`Module` | `getModule()`
`java.lang.String` | `getModuleName()`
`Plot` | `getPlot()`
`Plot` | `getPlotByName(java.lang.String name)`
`DataCollection` | `getPlotCollection()`
`java.lang.String` | `getPlotName()`
`java.lang.String[]` | `getPlotNames()`
`java.lang.String` | `getSaveName()`
`SimulationResult` | `getSimulationResult(java.lang.String name)`
`DataCollection` | `getSimulationResultCollection()`
`boolean` | `hasDefaultResult()`
`boolean` | `isDefaultResult(java.lang.String name)`
`boolean` | `savePlot()`
`void` | `setDefaultSimulationResult(SimulationResult defaultResult)`
`void` | `setPlot(Plot plot)`
`void` | `setPlotName(java.lang.String plotName)`
`void` | `setSaveName(java.lang.String saveName)`

Methods inherited from class com.beanexplorer.beans.Option
`addPropertyChangeListener, copyListenersTo, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getParent, isNotificationEnabled, isPropagationEnabled, removePropertyChangeListener, setNotificationEnabled, setParent, setPropagationEnabled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.log4j.Category log

### module

    protected Module module

### plot

    protected Plot plot

### saveName

    protected java.lang.String saveName

### defaultResult

    protected SimulationResult defaultResult

### simulationResults

    protected DataCollection simulationResults

### plots

    protected DataCollection plots

Constructor Detail

### PlotEx

    public PlotEx(Module module,
                  Plot plot)

### PlotEx

    public PlotEx(Module module,
                  SimulationResult result)

Method Detail

### getModule

    public Module getModule()

### getModuleName

    public java.lang.String getModuleName()

### getPlot

    public Plot getPlot()

### setPlot

    public void setPlot(Plot plot)

### getPlotName

    public java.lang.String getPlotName()

### setPlotName

    public void setPlotName(java.lang.String plotName)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getSaveName

    public java.lang.String getSaveName()

### setSaveName

    public void setSaveName(java.lang.String saveName)

### getDefaultSimulationResult

    public SimulationResult getDefaultSimulationResult()

### setDefaultSimulationResult

    public void setDefaultSimulationResult(SimulationResult defaultResult)

### getSimulationResultCollection

    public DataCollection getSimulationResultCollection()

### getSimulationResult

    public SimulationResult getSimulationResult(java.lang.String name)

### hasDefaultResult

    public boolean hasDefaultResult()

### isDefaultResult

    public boolean isDefaultResult(java.lang.String name)

### doGetSimulationResultCollection

    protected DataCollection doGetSimulationResultCollection()

### getPlotCollection

    public DataCollection getPlotCollection()

### getPlotByName

    public Plot getPlotByName(java.lang.String name)

### getPlotNames

    public java.lang.String[] getPlotNames()

### doGetPlotCollection

    protected DataCollection doGetPlotCollection()

### savePlot

    public boolean savePlot()

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.